diff --git a/subprojects/gradle-docs/src/samples/eclipse/build.gradle b/subprojects/gradle-docs/src/samples/eclipse/build.gradle
index 1f0bb10..e1aa8ce 100644
--- a/subprojects/gradle-docs/src/samples/eclipse/build.gradle
+++ b/subprojects/gradle-docs/src/samples/eclipse/build.gradle
@@ -29,8 +29,8 @@ eclipseProject {
 
 // START SNIPPET wtp-with-xml
 eclipseWtp {
-    withXml { xml ->
-        xml.'org.eclipse.wst.commons.project.facet.core'.fixed.find { it.@facet == 'jst.java' }.@facet = 'jst2.java'
+    withXml { provider ->
+        provider.node.'org.eclipse.wst.commons.project.facet.core'.fixed.find { it.@facet == 'jst.java' }.@facet = 'jst2.java'
     }
 }
-// END SNIPPET wtp-with-xml
\ No newline at end of file
+// END SNIPPET wtp-with-xml
diff --git a/subprojects/gradle-docs/src/samples/idea/build.gradle b/subprojects/gradle-docs/src/samples/idea/build.gradle
index 5d45b4b..1fec92d 100644
--- a/subprojects/gradle-docs/src/samples/idea/build.gradle
+++ b/subprojects/gradle-docs/src/samples/idea/build.gradle
@@ -27,10 +27,10 @@ ideaProject {
     }
 // END SNIPPET project-before-configured
 // START SNIPPET project-with-xml
-    withXml { root ->
-        root.component.find { it.@name == 'VcsDirectoryMappings' }.mapping.@vcs = 'Git'
+    withXml { provider ->
+        provider.node.component.find { it.@name == 'VcsDirectoryMappings' }.mapping.@vcs = 'Git'
     }
 // START SNIPPET project-before-configured
 }
 // END SNIPPET project-before-configured
-// END SNIPPET project-with-xml
\ No newline at end of file
+// END SNIPPET project-with-xml
